'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _koa = require('koa');

var _koa2 = _interopRequireDefault(_koa);

var _koaOnerror = require('koa-onerror');

var _koaOnerror2 = _interopRequireDefault(_koaOnerror);

var _koaLocale = require('koa-locale');

var _koaLocale2 = _interopRequireDefault(_koaLocale);

var _koaI18n = require('koa-i18n');

var _koaI18n2 = _interopRequireDefault(_koaI18n);

var _koaBunyanLogger = require('koa-bunyan-logger');

var _koaBunyanLogger2 = _interopRequireDefault(_koaBunyanLogger);

var _koaBodyparser = require('koa-bodyparser');

var _koaBodyparser2 = _interopRequireDefault(_koaBodyparser);

var _koaCompress = require('koa-compress');

var _koaCompress2 = _interopRequireDefault(_koaCompress);

var _koaFresh = require('koa-fresh');

var _koaFresh2 = _interopRequireDefault(_koaFresh);

var _koaEtag = require('koa-etag');

var _koaEtag2 = _interopRequireDefault(_koaEtag);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (config) {
  var app = (0, _koa2.default)();

  // global error handler
  (0, _koaOnerror2.default)(app);

  // i18n
  (0, _koaLocale2.default)(app);
  app.use((0, _koaI18n2.default)(app, {
    directory: _path2.default.join(__dirname, '..', 'locales'),
    locales: ['en', 'zh-CN'],
    extension: '.json',
    modes: ['header', 'tld', 'subdomain', 'url', 'cookie', 'query']
  }));

  // request logger
  app.use((0, _koaBunyanLogger2.default)((0, _logger2.default)(config.key)));
  app.use(_koaBunyanLogger2.default.requestIdContext());
  app.use(_koaBunyanLogger2.default.requestLogger());
  app.on('error', function (err, ctx) {
    ctx.log.error(err);
  });

  app.use((0, _koaBodyparser2.default)());
  app.use((0, _koaCompress2.default)());
  app.use((0, _koaFresh2.default)());
  app.use((0, _koaEtag2.default)());

  return app;
};