'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var baseConfig = {
  web: {
    host: process.env.HOST || 'localhost',
    port: parseInt(process.env.PORT, 10) || 4000,
    apiServerPrefix: '/api'
  },
  api: {
    host: process.env.HOST || 'localhost',
    port: parseInt(process.env.PORT, 10) + 1 || 4100,
    db: {
      database: 'cdeio-samples',
      username: 'root',
      password: 'mysecretpassword',
      options: {
        host: 'mysql',
        dialect: 'mysql',
        pool: {
          port: 3306,
          max: 15,
          min: 0,
          idle: 10000
        }
      }
    }
  },
  log: {
    level: 'debug'
  }
};

var specific = {
  development: (0, _extends3.default)({}, baseConfig, {
    web: (0, _extends3.default)({}, baseConfig.web, {
      name: 'CDE.IO Web [DEV]'
    }),
    api: (0, _extends3.default)({}, baseConfig.api, {
      name: 'CDE.IO API [DEV]'
    })
  }),

  production: (0, _extends3.default)({}, baseConfig, {
    web: (0, _extends3.default)({}, baseConfig.web, {
      name: 'CDE.IO Web'
    }),
    api: (0, _extends3.default)({}, baseConfig.api, {
      name: 'CDE.IO API'
    }),
    log: {
      level: 'debug'
    }
  })
};

exports.default = specific[__DEVELOPMENT__ ? 'development' : 'production'];