'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _bunyan = require('bunyan');

var _bunyan2 = _interopRequireDefault(_bunyan);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fsPlus = require('fs-plus');

var _fsPlus2 = _interopRequireDefault(_fsPlus);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _require = require('../../package.json');

var defaultName = _require.name;

exports.default = function () {
  var name = arguments.length <= 0 || arguments[0] === undefined ? defaultName : arguments[0];

  var streams = [];

  var rootDir = _path2.default.join(__dirname, '../..');
  var logFile = _path2.default.join(rootDir, 'logs', name + '.log');

  if (__DEVELOPMENT__) {
    streams.push({
      stream: process.stdout,
      level: _config2.default.log.level
    });
  } else {
    if (!_fsPlus2.default.existsSync(logFile)) _fsPlus2.default.writeFileSync(logFile);

    streams.push({
      type: 'rotating-file',
      path: logFile,
      period: '1d', // daily rotation
      count: 15,
      level: _config2.default.log.level
    });
  }

  var options = {
    src: __DEVELOPMENT__ ? true : false,
    name: name,
    streams: streams,
    serializers: _bunyan2.default.stdSerializers
  };

  return _bunyan2.default.createLogger(options);
};