'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fsPlus = require('fs-plus');

var _fsPlus2 = _interopRequireDefault(_fsPlus);

var _koaRouter = require('koa-router');

var _koaRouter2 = _interopRequireDefault(_koaRouter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = new _koaRouter2.default();

var basename = _path2.default.basename(module.filename, '.js');

router.use(_regenerator2.default.mark(function setDefaultResponseMimeType(next) {
  return _regenerator2.default.wrap(function setDefaultResponseMimeType$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          this.type = 'json';
          _context.next = 3;
          return next;

        case 3:
        case 'end':
          return _context.stop();
      }
    }
  }, setDefaultResponseMimeType, this);
}));

var re = new RegExp('^' + __dirname + '/(.*[^' + basename + ']).js$');

_fsPlus2.default.listTreeSync(__dirname).filter(function (filePath) {
  return _fsPlus2.default.isFileSync(filePath);
}).filter(function (filePath) {
  return re.test(filePath);
}).map(function (filePath) {
  return filePath.match(re)[1];
}).forEach(function (name) {
  return router.use('/' + name, require('./' + name).default.routes());
});

exports.default = router;