'use strict';

var _koa = require('koa');

var _koa2 = _interopRequireDefault(_koa);

var _prettyError = require('pretty-error');

var _prettyError2 = _interopRequireDefault(_prettyError);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _setup = require('./setup');

var _setup2 = _interopRequireDefault(_setup);

var _routers = require('./routers');

var _routers2 = _interopRequireDefault(_routers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var app = (0, _koa2.default)();
(0, _setup2.default)(app, require('./config.json'));

app.logger = (0, _logger2.default)(_config2.default.api.key);
app.use(_routers2.default.routes());

app.listen(_config2.default.api.port, function (err) {
  if (err) {
    var pretty = new _prettyError2.default();
    app.logger.error(pretty.render(err));
    return;
  }

  app.logger.info('%s server is listening on port %d...', _config2.default.api.name, _config2.default.api.port);
});